Skip to main content
POST
/
v1
/
organizations
Create an organization
curl --request POST \
  --url https://sandbox.apocor.ai/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Inc",
  "type": "DIRECT"
}
'
import requests

url = "https://sandbox.apocor.ai/v1/organizations"

payload = {
"name": "Acme Inc",
"type": "DIRECT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Inc', type: 'DIRECT'})
};

fetch('https://sandbox.apocor.ai/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "parentId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"code": "FORBIDDEN",
"message": "APOCOR_ADMIN required"
}
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Body

application/json
name
string
type
enum<string>
Available options:
DIRECT,
RESELLER,
MANAGED

Response

Organization created.

data
object